// File created automatically by custom Dialogger on 4/7/2019, 5:55:54 PM
// Do not tamper with this file.
// It will be replaced automatically by Dialogger and all changes will be lost.
// Instead change Settings.dl.
module DialogueTrees {
	export let Settings = (function () {
        let tree : DialogueTree = new DialogueTree("Settings");
        let node : DialogueNode;
        let set : DialogueSet;
        let text : DialogueText;
        let choice : DialogueChoice;
        
        
        node = new DialogueNode("b258ed06-020b-4c1f-b2ad-afbe13ac7b38");
        node.setNext("615b397b-76ca-485c-a637-1d2b539c6b54");
        tree.addStartNode(node);
        
        
        set = new DialogueSet("eee6d351-4e6f-428d-8dd6-72be79e31e6d");
        set.setFunction(() => {
        Elements.startMenu(); tree.setRepeatChoices(false); Elements.clearMainScreen();
        });
        set.setNext("5a11c2bc-6184-4926-9d24-454ca883dffc");
        tree.addNode(set);
        
        
        node = new DialogueNode("615b397b-76ca-485c-a637-1d2b539c6b54");
        node.setName("SettingOptions");
        node.setNext("eee6d351-4e6f-428d-8dd6-72be79e31e6d");
        tree.addNode(node);
        
        
        text = new DialogueText("5a11c2bc-6184-4926-9d24-454ca883dffc");
        text.setSay(() => { return new Say(Say.CENTERED, new SayImage("introLogo"), Say.LINE_BREAK, new SayItalic("The Obelisk is an adult interactive fiction game set in a post-apocalyptic world ravaged by a magical structure."));});
        text.setChoices(["4dcaee8f-2df1-4fba-b73e-581c522b6b5a","44119992-4c08-49fc-a4c8-602ee190cb8f","77536f7c-dad5-413c-b65e-567894d6736e","c56b6549-c1c4-4bb2-81bf-9e6816b3326f","d846c98a-1937-4e15-9c58-58b02f7efed5"]);
        tree.addNode(text);
        
        
        choice = new DialogueChoice("4dcaee8f-2df1-4fba-b73e-581c522b6b5a");
        choice.setSay(() => { return new Say("Key Mapping");});
        choice.setNext("ea28fe17-1897-49fd-a65b-e8fd63fef1d3");
        tree.addNode(choice);
        
        
        choice = new DialogueChoice("44119992-4c08-49fc-a4c8-602ee190cb8f");
        choice.setSay(() => { return new Say("Font Size");});
        choice.setNext("25936903-6b5e-4137-82e2-267b50ec1c41");
        tree.addNode(choice);
        
        
        choice = new DialogueChoice("77536f7c-dad5-413c-b65e-567894d6736e");
        choice.setSay(() => { return new Say("Color Scheme");});
        choice.setNext("25936903-6b5e-4137-82e2-267b50ec1c41");
        tree.addNode(choice);
        
        
        choice = new DialogueChoice("c56b6549-c1c4-4bb2-81bf-9e6816b3326f");
        choice.setSay(() => { return new Say("Fetishes");});
        choice.setNext("3dabd8ef-9bcb-4792-bdbd-58ec3d5b0834");
        tree.addNode(choice);
        
        
        choice = new DialogueChoice("d846c98a-1937-4e15-9c58-58b02f7efed5");
        choice.setSay(() => { return new Say("Go back");});
        tree.addNode(choice);
        
        
        text = new DialogueText("25936903-6b5e-4137-82e2-267b50ec1c41");
        text.setSay(() => { return new Say("Not implemented.");});
        text.setNext("2797f523-7444-4065-a8e9-55ea803af940");
        tree.addNode(text);
        
        
        set = new DialogueSet("3dabd8ef-9bcb-4792-bdbd-58ec3d5b0834");
        set.setFunction(() => {
        return CharacterCreation.ContentTypes.selectContentTypes();
        });
        set.setNext("e87068cb-e3b5-4c49-8bac-8ecdb06ba3a6");
        tree.addNode(set);
        
        
        node = new DialogueNode("e87068cb-e3b5-4c49-8bac-8ecdb06ba3a6");
        node.setNext("SettingOptions");
        tree.addNode(node);
        
        
        set = new DialogueSet("2797f523-7444-4065-a8e9-55ea803af940");
        set.setFunction(() => {
        return Elements.waitForAnyKey();
        });
        set.setNext("e87068cb-e3b5-4c49-8bac-8ecdb06ba3a6");
        tree.addNode(set);
        
        
        set = new DialogueSet("ea28fe17-1897-49fd-a65b-e8fd63fef1d3");
        set.setFunction(() => {
        return Controls.KeyHandler.KeySetter.setKeys();
        });
        set.setNext("e87068cb-e3b5-4c49-8bac-8ecdb06ba3a6");
        tree.addNode(set);
        
        return tree;
    })();
}